JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.webhooks.rotateSecret('550e8400-e29b-41d4-a716-446655440000');
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.webhooks.rotate_secret(
"550e8400-e29b-41d4-a716-446655440000",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Webhooks.RotateSecret(context.TODO(), "550e8400-e29b-41d4-a716-446655440000")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}mobilerun-cloud webhooks rotate-secret \
--api-key 'My API Key' \
--id 550e8400-e29b-41d4-a716-446655440000curl --request POST \
--url https://api.mobilerun.ai/webhooks/{id}/rotate-secret \
--header 'Authorization: Bearer <token>'
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"eventTypes": [
"<string>"
],
"blockedAt": "<string>",
"blockedReason": "<string>",
"signingEnabled": true,
"description": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"secret": "<string>"
}
}{
"error": "<string>"
}Webhooks
Rotate signing secret
Generates a new signing secret for the webhook subscription and returns it once in the response. The previous secret is replaced immediately, so any signature verification on your endpoint must be updated to use the new value.
POST
/
webhooks
/
{id}
/
rotate-secret
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.webhooks.rotateSecret('550e8400-e29b-41d4-a716-446655440000');
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.webhooks.rotate_secret(
"550e8400-e29b-41d4-a716-446655440000",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Webhooks.RotateSecret(context.TODO(), "550e8400-e29b-41d4-a716-446655440000")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}mobilerun-cloud webhooks rotate-secret \
--api-key 'My API Key' \
--id 550e8400-e29b-41d4-a716-446655440000Was this page helpful?
⌘I